#version 330 core

in vec4 vColor;

uniform float uTime;

uniform float uDepth;

out vec4 fragColor;
out float gl_FragDepth;

void main()
{
    if (vColor.a == 0.0)
        discard;

    fragColor = vColor;
    gl_FragDepth = uDepth;
}